LengthException
OutOfBoundsException
Exceptions
PHP Manual

# The LogicException class

(PHP 5 >= 5.1.0)

## Introduction

Exception that represents error in the program logic. This kind of exception should lead directly to a fix in your code.

## Class synopsis

LogicException extends Exception {
/* Inherited properties */
protected string $message ;
protected int $code ;
protected string $file ;
protected int $line ;
/* Inherited methods */
final public string Exception::getMessage ( void )
final public Exception Exception::getPrevious ( void )
final public mixed Exception::getCode ( void )
final public string Exception::getFile ( void )
final public int Exception::getLine ( void )
final public array Exception::getTrace ( void )
final public string Exception::getTraceAsString ( void )
public string Exception::__toString ( void )
final private void Exception::__clone ( void )
}

LengthException
OutOfBoundsException
Exceptions
PHP Manual